ReadOnlyModelViewException (Gradle API 8.11)

Package org.gradle.model

## Class ReadOnlyModelViewException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.model.ReadOnlyModelViewException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ModelViewClosedException`

      @Incubating
      public class ReadOnlyModelViewException
      extends GradleException

  Thrown when an attempt is made to change the value of a model element that is not writable at the time.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyModelViewException​(java.lang.String message)` |
    `ReadOnlyModelViewException​(org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.lang.String` | `createMessage​(java.lang.String viewType, org.gradle.model.internal.core.ModelPath path, org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadOnlyModelViewException

          public ReadOnlyModelViewException​(java.lang.String message)

    - #### ReadOnlyModelViewException

          public ReadOnlyModelViewException​(org.gradle.model.internal.core.ModelPath path,
                                            org.gradle.model.internal.type.ModelType<?> type,
                                            org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)

  - ### Method Detail

    - #### createMessage

          protected static java.lang.String createMessage​(java.lang.String viewType,
                                                          org.gradle.model.internal.core.ModelPath path,
                                                          org.gradle.model.internal.type.ModelType<?> type,
                                                          org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)